# Ogre::GpuProgramParameters::RealConstantEntry Struct Reference

Real parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| RealConstantEntry ()

## Public Attributes

float | val [4]
bool | isSet

## Detailed Description

Real parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not.

This allows us to filter out constant entries which have not been set by the renderer and may actually be being used internally by the program.

Definition at line 306 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::RealConstantEntry::RealConstantEntry | ( |  | ) |

| Definition at line 310 of file OgreGpuProgram.h.

## Member Data Documentation

bool Ogre::GpuProgramParameters::RealConstantEntry::isSet

| Definition at line 309 of file OgreGpuProgram.h.

float Ogre::GpuProgramParameters::RealConstantEntry::val[4]

| Definition at line 308 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:35 2006